Loading...
Searching...
No Matches
TrcPktProcI Class Referenceabstract
OpenCSD Library : Packet Processors.

Base Packet processing interface. More...

`#include <trc_pkt_proc_base.h>`

Inheritance diagram for TrcPktProcI:
[legend]
Collaboration diagram for TrcPktProcI:
[legend]

## Public Member Functions

| TrcPktProcI (const char *component_name)
| TrcPktProcI (const char *component_name, int instIDNum)
virtual | ~TrcPktProcI ()
virtual ocsd_datapath_resp_t | TraceDataIn (const ocsd_datapath_op_t op, const ocsd_trc_index_t index, const uint32_t dataBlockSize, const uint8_t *pDataBlock, uint32_t *numBytesProcessed)=0
virtual ocsd_err_t | getStatsBlock (ocsd_decode_stats_t **pp_stats)=0
virtual void | resetStats ()=0
Public Member Functions inherited from TraceComponent
| TraceComponent (const std::string &name)
| TraceComponent (const std::string &name, int instIDNum)
virtual | ~TraceComponent ()
const std::string & | getComponentName () const
void | setComponentName (const std::string &name)
componentAttachPt< ITraceErrorLog > * | getErrorLogAttachPt ()
ocsd_err_t | setComponentOpMode (uint32_t op_flags)
const uint32_t | getComponentOpMode () const
const uint32_t | getSupportedOpModes () const
void | setAssocComponent (TraceComponent *assocComp)
TraceComponent * | getAssocComponent ()
void | LogDefMessage (const std::string &msg)
Public Member Functions inherited from ITrcDataIn
| ITrcDataIn ()
virtual | ~ITrcDataIn ()

## Protected Member Functions

virtual ocsd_datapath_resp_t | processData (const ocsd_trc_index_t index, const uint32_t dataBlockSize, const uint8_t *pDataBlock, uint32_t *numBytesProcessed)=0
| Implementation function for the OCSD_OP_DATA operation.
virtual ocsd_datapath_resp_t | onEOT ()=0
| Implementation function for the OCSD_OP_EOT operation.
virtual ocsd_datapath_resp_t | onReset ()=0
| Implementation function for the OCSD_OP_RESET operation.
virtual ocsd_datapath_resp_t | onFlush ()=0
| Implementation function for the OCSD_OP_FLUSH operation.
virtual ocsd_err_t | onProtocolConfig ()=0
| Called when the configuration object is passed to the decoder.
virtual const bool | isBadPacket () const =0
| check if the current packet is an error / bad packet
Protected Member Functions inherited from TraceComponent
void | LogError (const ocsdError &Error)
void | LogMessage (const ocsd_err_severity_t filter_level, const std::string &msg)
const ocsd_err_severity_t | getErrorLogLevel () const
const bool | isLoggingErrorLevel (const ocsd_err_severity_t level) const
void | updateErrorLogLevel ()
void | do_attach_notify (const int num_attached)
void | Init (const std::string &name)

## Additional Inherited Members

Protected Attributes inherited from TraceComponent
uint32_t | m_op_flags
| current component operational mode flags.
uint32_t | m_supported_op_flags
| supported component operational mode flags - derived class to intialise.

## Detailed Description

Base Packet processing interface.

Defines the packet processing methods that protocol specific processors must implement.

Definition at line 65 of file trc_pkt_proc_base.h.

## Constructor & Destructor Documentation

## ~TrcPktProcI()

virtual TrcPktProcI::~TrcPktProcI | ( |  | ) |

inline virtual

Definition at line 70 of file trc_pkt_proc_base.h.

## Member Function Documentation

## getStatsBlock()

virtual ocsd_err_t TrcPktProcI::getStatsBlock | ( | ocsd_decode_stats_t ** | pp_stats | ) |

pure virtual

Implemented in TrcPktProcBase< P, Pt, Pc >, TrcPktProcBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, TrcPktProcBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, TrcPktProcBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and TrcPktProcBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## isBadPacket()

virtual const bool TrcPktProcI::isBadPacket | ( |  | ) | const

protected pure virtual

check if the current packet is an error / bad packet

Implemented in TrcPktProcEtmV3, TrcPktProcEtmV4I, TrcPktProcPtm, and TrcPktProcStm.

## onEOT()

virtual ocsd_datapath_resp_t TrcPktProcI::onEOT | ( |  | ) |

protected pure virtual

Implementation function for the OCSD_OP_EOT operation.

Implemented in TrcPktProcEtmV3, TrcPktProcEtmV4I, TrcPktProcPtm, and TrcPktProcStm.

## onFlush()

virtual ocsd_datapath_resp_t TrcPktProcI::onFlush | ( |  | ) |

protected pure virtual

Implementation function for the OCSD_OP_FLUSH operation.

Implemented in TrcPktProcEtmV3, TrcPktProcEtmV4I, TrcPktProcPtm, and TrcPktProcStm.

## onProtocolConfig()

virtual ocsd_err_t TrcPktProcI::onProtocolConfig | ( |  | ) |

protected pure virtual

Called when the configuration object is passed to the decoder.

Implemented in TrcPktProcEtmV3, TrcPktProcEtmV4I, TrcPktProcPtm, and TrcPktProcStm.

## onReset()

virtual ocsd_datapath_resp_t TrcPktProcI::onReset | ( |  | ) |

protected pure virtual

Implementation function for the OCSD_OP_RESET operation.

Implemented in TrcPktProcEtmV3, TrcPktProcEtmV4I, TrcPktProcPtm, and TrcPktProcStm.

## processData()

virtual ocsd_datapath_resp_t TrcPktProcI::processData | ( | const ocsd_trc_index_t | index,
|  | const uint32_t | dataBlockSize,
|  | const uint8_t * | pDataBlock,
|  | uint32_t * | numBytesProcessed
| ) |  |

protected pure virtual

Implementation function for the OCSD_OP_DATA operation.

Implemented in TrcPktProcEtmV3, TrcPktProcEtmV4I, TrcPktProcPtm, and TrcPktProcStm.

## resetStats()

virtual void TrcPktProcI::resetStats | ( |  | ) |

pure virtual

Implemented in TrcPktProcBase< P, Pt, Pc >, TrcPktProcBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, TrcPktProcBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, TrcPktProcBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and TrcPktProcBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

## TraceDataIn()

virtual ocsd_datapath_resp_t TrcPktProcI::TraceDataIn | ( | const ocsd_datapath_op_t | op,
|  | const ocsd_trc_index_t | index,
|  | const uint32_t | dataBlockSize,
|  | const uint8_t * | pDataBlock,
|  | uint32_t * | numBytesProcessed
| ) |  |

pure virtual

Trace byte data input interface - from ITrcDataIn.

Implements ITrcDataIn.

Implemented in TrcPktProcBase< P, Pt, Pc >, TrcPktProcBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, TrcPktProcBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, TrcPktProcBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, and TrcPktProcBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >.

The documentation for this class was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/common/trc_pkt_proc_base.h